ALTER PROCEDURE "dba"."dk_arvetas2011b"()
BEGIN
  delete from gl_dk_arvetas;
  insert into gl_dk_arvetas(asutnr,arvenr,arvekuup,arvesumma,makskuup,maksnr,makssumma)
    select gl_dk_arvetas2007.asutnr,gl_dk_arvetas2007.arvenr,gl_dk_arvetas2007.arvekuup,sum(gl_dk_arvetas2007.arvesumma),max(gl_dk_arvetas2007.makskuup),max(gl_dk_arvetas2007.doknr),sum(gl_dk_arvetas2007.makssumma)
      from gl_dk_arvetas2007
      group by gl_dk_arvetas2007.asutnr,gl_dk_arvetas2007.arvenr,gl_dk_arvetas2007.arvekuup;
END